Skip to main content
GET
/
tax
/
inventory
/
{subaccountId}
/
{assetTypeId}
List of the Inventory for an asset
curl --request GET \
  --url https://api.anchorage-staging.com/v2/tax/inventory/{subaccountId}/{assetTypeId} \
  --header 'Api-Access-Key: <api-key>'
{
  "data": {
    "summary": {
      "assetType": "<string>",
      "averageUnitCost": "<string>",
      "costBasis": "2500.23",
      "lots": [
        {
          "acquisitionDatetime": "2023-11-07T05:31:56Z",
          "cost": "<string>",
          "id": "<string>",
          "quantity": "<string>",
          "unitCost": "<string>"
        }
      ],
      "quantity": "5.5",
      "totalQuantityMissingCostBasis": "2.5",
      "totalQuantityWithCostBasis": "3"
    }
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

subaccountId
string
required

The ID of the subaccount

assetTypeId
string
required

Asset type identifier.

Query Parameters

limit
integer<int64>
default:25

Number of results

Required range: x >= 0
offset
integer<int64>
default:0

Offset of the results to start

Required range: x >= 0

Response

Successfully returned the inventory for an asset

data
InventoryForAsset · object